Bug 152067 - [PATCH] mail/fetchmail: unbreak build with certain XHTML DTD installs
Summary: [PATCH] mail/fetchmail: unbreak build with certain XHTML DTD installs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-08 23:30 UTC by Matthias Andree
Modified: 2010-11-14 15:50 UTC (History)
1 user (show)

See Also:


Attachments
fetchmail-6.3.18.patch (1.60 KB, patch)
2010-11-08 23:30 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2010-11-08 23:30:06 UTC
Hi Corey,

The patch included below skips validating the XHTML 1.1 document
Mailbox-Names-UTF7.html. Validation fails if libxml2 and the XHTML 1.0
DTD are installed, but the XHTML 1.1 DTD (textproc/xhtml-11) is either
missing, or older than 1.1.20070216_1, and breaks the build.

Added file(s):
- files/patch-de5f30df

Port maintainer (chalpin@cs.wisc.edu) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-11-08 23:30:11 UTC
Maintainer of mail/fetchmail,

Please note that PR ports/152067 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152067

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-11-08 23:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Corey Halpin 2010-11-08 23:31:25 UTC
Approve.

On 2010-11-08, Edwin Groothuis wrote:
>Maintainer of mail/fetchmail,
>
>Please note that PR ports/152067 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152067
>
>-- 
>Edwin Groothuis via the GNATS Auto Assign Tool
>edwin@FreeBSD.org

>
Comment 4 Rene Ladan freebsd_committer 2010-11-12 16:43:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 5 dfilter service freebsd_committer 2010-11-14 15:44:47 UTC
rene        2010-11-14 15:44:43 UTC

  FreeBSD ports repository

  Modified files:
    mail/fetchmail       distinfo 
  Added files:
    mail/fetchmail/files patch-de5f30df 
  Log:
  Fix build by skipping the validation of the XHTML 1.1 document
  Mailbox-Names-UTF7.html
  
  PR:             ports/152067
  Submitted by:   Matthias Andree [matthias.andree gmx.de]
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.138     +0 -1      ports/mail/fetchmail/distinfo
  1.1       +28 -0     ports/mail/fetchmail/files/patch-de5f30df (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Rene Ladan freebsd_committer 2010-11-14 15:45:02 UTC
State Changed
From-To: feedback->closed

Committed, thanks